This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 17988 - Prototype of the new projects implementation
Summary: Prototype of the new projects implementation
Status: CLOSED FIXED
Alias: None
Product: projects
Classification: Unclassified
Component: Generic Infrastructure (show other bugs)
Version: 3.x
Hardware: PC Windows 3.1/NT
: P1 blocker (vote)
Assignee: issues@projects
URL:
Keywords:
Depends on: 17981 17982
Blocks: 17991 23302
  Show dependency tree
 
Reported: 2001-11-22 15:51 UTC by Pavel Buzek
Modified: 2003-12-11 14:25 UTC (History)
0 users

See Also:
Issue Type: TASK
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Buzek 2001-11-22 15:51:42 UTC
Prototype of the new projects. The goals of this prototype are:
- demonstrate the features and the UI to the end users
- resolve architectural/design issues
- make it possible to build on top of the new projects (Java projects, etc.)
This means that it will be almost fully functional prototype. It will be implemented in a branch and will not be included in release (it may be released as a 
alpha state module). After finishing this prototype parts of it may be used in the actual implementation and parts may be reimplemented.
Comment 1 Jan Chalupa 2001-11-27 15:41:11 UTC
Target milestone -> 3.3.1.
Comment 2 Pavel Buzek 2001-11-28 10:50:05 UTC
target milestone -> 4.0
Comment 3 Pavel Buzek 2002-05-09 13:38:38 UTC
prototype released
Comment 4 Pavel Buzek 2003-07-02 09:04:46 UTC
work done, closign